=head1 NAME

B<makeconservercf> - creates the conserver configuration file from info in the xCAT database

=head1 SYNOPSIS

B<makeconservercf> [B<-l|--local>] [I<noderange>]

B<makeconservercf> [B<-h|--help|-v|--version>]


=head1 DESCRIPTION

The B<makeconservercf> command will write out the /etc/conserver.cf, using information from the nodehm table
and related tables (e.g. mp, ipmi, ppc).  Normally, B<makeconservercf> will write all nodes to the conserver.cf
file.  If a noderange is specified, it will write on those nodes to the file.  In either case, if a node
does not have nodehm.cons set, it will not be written to the file.

In the case of a hierarchical cluster (i.e. one with service nodes) B<makeconservercf> will determine
which nodes will have their consoles accessed from the management node and which from a service node
(based on the nodehm.conserver attribute).  The /etc/conserver.cf file will be created accordingly on
all relevant management/service nodes.  If -l is specified, it will only create the local file.


=head1 OPTIONS

=over 10

=item B<-l|--local>

Only run B<makeconservercf> locally and create the local /etc/conserver.cf.  The default is to also
run it on all service nodes, if there are any.

=item B<-v|--version>

Display version.

=item B<-h|--help>

Display usage message.

=back


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.


=head1 SEE ALSO

L<rcons(1)|rcons.1>

